Package samples.userguide

# Class ServiceInvoker

java.lang.Object
java.lang.Thread
samples.userguide.ServiceInvoker

All Implemented Interfaces:
  `Runnable`

public class ServiceInvoker extends Thread

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceInvoker(String epr, String operation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDummyElements(long numElements)`
  `String`
  `getInvokerName()`
  `long`
  `getRunningTime()`
  `void`
  `run()`
  `void`
  `setClientSessionID(String id)`
  `void`
  `setInvokerName(String invokerName)`
  `void`
  `setIterations(long i)`
  `void`
  `setLoad(String load)`
  `void`
  `setStatefull(boolean state)`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceInvoker

    public ServiceInvoker(String epr, String operation)

- ## Method Details

  - ### getInvokerName

    public String getInvokerName()

  - ### setInvokerName

    public void setInvokerName(String invokerName)

  - ### getRunningTime

    public long getRunningTime()

  - ### setLoad

    public void setLoad(String load)

  - ### addDummyElements

    public void addDummyElements(long numElements)

  - ### setClientSessionID

    public void setClientSessionID(String id)

  - ### setIterations

    public void setIterations(long i)

  - ### setStatefull

    public void setStatefull(boolean state)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`